# CbcFollowOn2 Class Reference

Define a follow on class. More...

`#include <CbcBranchFollow2.hpp>`

Inheritance diagram for CbcFollowOn2:
[legend]
Collaboration diagram for CbcFollowOn2:
[legend]

List of all members.

## Public Member Functions
| CbcFollowOn2 ()
| CbcFollowOn2 (CbcModel *model)
| Useful constructor.
| CbcFollowOn2 (const CbcFollowOn2 &)
virtual CbcObject * | clone () const
| Clone.
CbcFollowOn2 & | operator= (const CbcFollowOn2 &rhs)
| ~CbcFollowOn2 ()
virtual double | infeasibility (int &preferredWay) const
| Infeasibility - large is 0.5.
virtual void | feasibleRegion ()
| This looks at solution and sets bounds to contain solution.
virtual CbcBranchingObject * | createBranch (int way)
| Creates a branching object.
virtual int | gutsOfFollowOn2 (int &otherRow, int &preferredWay, int &effectiveRhs) const
| As some computation is needed in more than one place - returns row.
int | maximumRhs () const
| get and set for maximum rhws (affects cuts as branch)
void | setMaximumRhs (int value)
## Protected Attributes
CoinPackedMatrix | matrix_
| data Matrix
CoinPackedMatrix | matrixByRow_
| Matrix by row.
int * | rhs_
| Possible rhs (if 0 then not possible).
int | maximumRhs_
| If >1 then allow cuts if effective rhs <= this.

## Detailed Description

Define a follow on class.

The idea of this is that in air-crew scheduling problems crew may fly in on flight A and out on flight B or on some other flight. A useful branch is one which on one side fixes all which go out on flight B to 0, while the other branch fixes all those that do NOT go out on flight B to 0.

This tries to generalize so that cuts are produced with sum aij xj <= bi on each side. It should be intelligent enough to fix if things can be fixed. We also need to make sure branch cuts work properly (i.e. persistence).

This branching rule should be in addition to normal rules and have a high priority.

Definition at line 26 of file CbcBranchFollow2.hpp.

## Constructor & Destructor Documentation

CbcFollowOn2::CbcFollowOn2 | ( |  | ) |

CbcFollowOn2::CbcFollowOn2 | ( | CbcModel * | model | ) |

Useful constructor.

CbcFollowOn2::CbcFollowOn2 | ( | const CbcFollowOn2 & |  | ) |

CbcFollowOn2::~CbcFollowOn2 | ( |  | ) |

## Member Function Documentation

virtual CbcObject* CbcFollowOn2::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcObject.

CbcFollowOn2& CbcFollowOn2::operator= | ( | const CbcFollowOn2 & | rhs | ) |

Reimplemented from CbcObject.

virtual double CbcFollowOn2::infeasibility | ( | int & | preferredWay | ) | const`[virtual]`

Infeasibility - large is 0.5.

Reimplemented from CbcObject.

virtual void CbcFollowOn2::feasibleRegion | ( |  | ) | `[virtual]`

This looks at solution and sets bounds to contain solution.

Implements CbcObject.

virtual CbcBranchingObject* CbcFollowOn2::createBranch | ( | int | way | ) | `[virtual]`

Creates a branching object.

virtual int CbcFollowOn2::gutsOfFollowOn2 | ( | int & | otherRow,
|  | int & | preferredWay,
|  | int & | effectiveRhs |
| ) |  |  | const`[virtual]`

As some computation is needed in more than one place - returns row.

Also returns other row and effective rhs (so we can know if cut)

int CbcFollowOn2::maximumRhs | ( |  | ) | const`[inline]`

get and set for maximum rhws (affects cuts as branch)

Definition at line 63 of file CbcBranchFollow2.hpp.

void CbcFollowOn2::setMaximumRhs | ( | int | value | ) | `[inline]`

Definition at line 65 of file CbcBranchFollow2.hpp.

## Member Data Documentation

CoinPackedMatrix CbcFollowOn2::matrix_`[protected]`

data Matrix

Definition at line 70 of file CbcBranchFollow2.hpp.

CoinPackedMatrix CbcFollowOn2::matrixByRow_`[protected]`

Matrix by row.

Definition at line 72 of file CbcBranchFollow2.hpp.

int* CbcFollowOn2::rhs_`[protected]`

Possible rhs (if 0 then not possible).

Definition at line 74 of file CbcBranchFollow2.hpp.

int CbcFollowOn2::maximumRhs_`[protected]`

If >1 then allow cuts if effective rhs <= this.

Definition at line 76 of file CbcBranchFollow2.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.7/Cbc/examples/CbcBranchFollow2.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines